Bug 14333 - Update MARC21 frameworks to Update No. 20 (April 2015) and 21 (September 2015)
Summary: Update MARC21 frameworks to Update No. 20 (April 2015) and 21 (September 2015)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-04 17:15 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14333: Update MARC21 frameworks to Update No. 20 and 21 (19.51 KB, patch)
2015-10-22 17:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14333: followup - Fix labels (58.23 KB, patch)
2015-10-22 17:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 1433: followup 2 - split line to ease translation (6.30 KB, patch)
2015-10-26 12:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14333: followup 2 - split line to ease translation (6.30 KB, patch)
2015-10-26 12:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGN-OFF] Update MARC21 frameworks (19.58 KB, patch)
2015-10-28 16:10 UTC, Zeno Tajoli
Details | Diff | Splinter Review
[SIGN-OFF] followup - Fix labels (58.30 KB, patch)
2015-10-28 16:14 UTC, Zeno Tajoli
Details | Diff | Splinter Review
[SIGN-OFF] followup 2 - split line to ease translation. (6.36 KB, patch)
2015-10-28 16:15 UTC, Zeno Tajoli
Details | Diff | Splinter Review
[PASSED QA] Bug 14333: Update MARC21 frameworks to Update No. 20 and 21 (19.62 KB, patch)
2015-11-01 15:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14333: followup - Fix labels (58.35 KB, patch)
2015-11-01 15:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14333: followup 2 - split line to ease translation (6.41 KB, patch)
2015-11-01 15:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2015-06-04 17:15:13 UTC
New update: few new subfields and one new field (884)
Comment 2 Bernardo Gonzalez Kriegel 2015-06-05 11:04:36 UTC
(In reply to Stefano Bargioni from comment #1)
> (In reply to Bernardo Gonzalez Kriegel from comment #0)
> > New update: few new subfields and one new field (884)
> 
> Good sources:
> http://www.itsmarc.com/crs/mergedprojects/helptop1/helptop1/appendices/
> appendix_g_format_changes_update_no._20_april_2015.htm and
> http://www.itsmarc.com/crs/mergedprojects/helpauth/helpauth/
> appendix_f_format_changes_update_no._20_april_2015.htm

Thanks Stefano!
I'll try to do this today.
Comment 3 Bernardo Gonzalez Kriegel 2015-10-22 17:08:15 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2015-10-22 17:08:20 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2015-10-22 17:09:57 UTC
One patch with cumulative changes from update 20 and 21
Other with label fixes
Comment 6 Bernardo Gonzalez Kriegel 2015-10-26 12:27:06 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2015-10-26 12:27:59 UTC Comment hidden (obsolete)
Comment 8 Zeno Tajoli 2015-10-28 16:10:48 UTC Comment hidden (obsolete)
Comment 9 Zeno Tajoli 2015-10-28 16:12:53 UTC
Test the patch and it is OK
Comment 10 Zeno Tajoli 2015-10-28 16:14:33 UTC Comment hidden (obsolete)
Comment 11 Zeno Tajoli 2015-10-28 16:15:38 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-11-01 15:04:01 UTC
Created attachment 44274 [details] [review]
[PASSED QA] Bug 14333: Update MARC21 frameworks to Update No. 20 and 21

Default frameworks updated to update 20 (April 2015) and
21 (September 2015)

Update No. 20
Bibliographic
	New field 884
	New subfields 037$3, 037$5 and 382$e

Authority
	New field 884
	New subfields 046$q, 046$r and 382$e

Update No. 21
Bibliographic
	New tag 348
	New subfields 336$0, 337$0 and 338$0

Authority
	New field 348
	New sufields 336$0 and 670$w

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields

Signed-off-by: Zeno Tajoli <z.tajoli@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2015-11-01 15:04:05 UTC
Created attachment 44275 [details] [review]
[PASSED QA] Bug 14333: followup - Fix labels

This patch fixes same labels on bibliographic and
authority frameworks, and one typo.

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check fixed labels

Signed-off-by: Zeno Tajoli <z.tajoli@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2015-11-01 15:04:09 UTC
Created attachment 44276 [details] [review]
[PASSED QA] Bug 14333: followup 2 - split line to ease translation

This patch only put in its own line inserted values.
This is necessary in order to translate this files.

To test:
1) Just check that files load normally.

http://bugs.koha-community.org/show_bug.cgi?id=14333

Signed-off-by: Zeno Tajoli <z.tajoli@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Tomás Cohen Arazi 2015-11-01 20:13:57 UTC
Patches pushed to master.

Thanks Bernardo!